Page MenuHome

Blender crashes while Duplicating
Closed, ArchivedPublic

Description

System Information
Windows 7 professional 32bit

Blender Version
Broken: Blender 2.78 hash 4bb1e22, Blender 2.78 hash e041bf7
Worked: (optional)

Short description of error
Blender crashes with error EXCEPTION_ACCESS_VIOLATION when trying apply Dupliverts
Exact steps for others to reproduce the error
Open Blender, add mesh "Plane". Select the "Plane", Shift+select the "Cube", parenting with Ctrl+P. Select the "Cube" and enable Duplication vertices in the Object panel->Duplication->Vertices. Blender crahes.

Details

Type
Bug

Event Timeline

sorry, I would but I can't - my "Temp" directory is empty. There is the only message if I run Blender from cmd - "Error: EXEPTION_ACCESS_VIOLATION"

Bastien Montagne (mont29) triaged this task as Normal priority.

I cannot reproduce here on linux (64bit), not even with debug + asan build.

Can someone with windows OS available try to reproduce? @LazyDodo (LazyDodo) maybe? Thanks.

I have tested, but I cannot reproduce the bug in Windows 10 64 bits using 2.78a factory settings.

Can't repro either, please upload a sample blend, so all we have to do to trigger the crash is enable dupli verticles?

Bastien Montagne (mont29) lowered the priority of this task from Normal to Needs Information from User.Jan 13 2017, 10:05 PM

As I 've said above - Windows 7 32bit. Windows 7 64bit - Blender works fine.
About sample blend - I even can't open the original sample file https://wiki.blender.org/index.php/:File:Manual-2.5-DupliVerts-Examples.blend - Blender crashes immediately.

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Jan 14 2017, 9:49 AM

So we need someone able to test with win 32bit, @LazyDodo (LazyDodo)?

I haven't windows 32 OS, but running the 32bit version in Windows 10 64 bits works fine, unable to reproduce error.

Confirmed. Win7 64bit - Blender 32bit works fine.

LazyDodo (LazyDodo) added a comment.EditedJan 14 2017, 6:49 PM

Tried 2.78a on 32 bit windows 10 also unable to reproduce....

maybe try resetting blender to factory settings?

well... All files from C:\Users\Username\AppData\Roaming\Blender Foundation\Blender\2.76, 2.77, 2.78 were eliminated.
Blender 2.76b f337fea - Load factory settings - Dupliverts works.
Blender 2.77a abf6f08 - Load factory settings - Dupliverts - Blender crashes
Blender 2.78a 4bb1e22 - Load factory settings -Dupliverts -Blender crashes

Could also be a GPU/driver issue, what’s yours? Please attach as text file here the report generated by Help -> System Info (do not paste it directly in comment).

Also, do you get more messages in console when starting Blender with --debug option?

System info


Debug log

The issue reported can't be reproduced so far, and has been moved to the BF Blender: Unconfirmed project.
If 2 other people aren't able to redo the bug after 2 weeks, it will be closed.

We appreciate the effort that goes into making bug reports, but to be able to fix bugs we have to be able to redo them.
If there is anything you can provide to help others to reproduce the problem, be sure to include it.

Aaron Carlisle (Blendify) closed this task as Archived.Apr 13 2017, 9:25 PM

Closing due to no one being able to confirm the bug.